<h1>WPSSO Core - The Complete Structured Data Plugin</h1>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Core</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Present your content at its best on social sites and in search results - no matter how URLs are shared, reshared, messaged, posted, embedded, or crawl</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>15.13.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>7.2.5 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>5.5 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>6.2.2</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WooCommerce</th><td>7.6.1</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>schema, seo, woocommerce, meta tags, google search console, google merchant, open graph, rich results, knowledge graph, xml sitemap, structured data</td></tr>
</table>

<h2>Description</h2>

<h3 class="top">The Complete Structured Data Plugin for WordPress</h3>

<p><strong>Present your content at its best on social sites and in search results - no matter how URLs are shared, reshared, messaged, posted, embedded, or crawled.</strong></p>

<!-- about -->

<p><strong>Provides structured data markup for:</strong></p>

<ul>
    <li>Facebook / Open Graph</li>
    <li>Facebook Catalog Feed XMLs</li>
    <li>Google Knowledge Graph</li>
    <li>Google Merchant Feed XML</li>
    <li>Google Rich Results / Rich Snippets</li>
    <li>Image and Video SEO</li>
    <li>Instagram Catalog Feed XMLs</li>
    <li>Mobile Web Browsers</li>
    <li>oEmbed for LinkedIn, Discord, and Drupal</li>
    <li>Pinterest Rich Pins</li>
    <li>Twitter Cards</li>
    <li>Schema JSON-LD Markup</li>
    <li>Slack</li>
    <li>WhatsApp and Messaging Apps</li>
    <li>WordPress REST API</li>
    <li>WordPress Sitemaps XML</li>
</ul>

<!-- /about -->

<p><strong>Optimized image sizes for social sites and search engines:</strong></p>

<ul>
<li>Google Merchant Feed XML</li>
<li>Open Graph (Facebook and oEmbed)</li>
<li>Pinterest Pin It</li>
<li>Schema 1:1 (Google Rich Results)</li>
<li>Schema 4:3 (Google Rich Results)</li>
<li>Schema 16:9 (Google Rich Results)</li>
<li>Schema Thumbnail</li>
<li>Twitter Summary Card</li>
<li>Twitter Summary Card Large Image</li>
<li>Video Preview Images</li>
</ul>

<p><strong>Supports over 500 different Schema types and sub-types.</strong></p>

<p><strong>Fixes all Google Rich Results, Google Merchant, and Schema Markup Validator errors, including:</strong></p>

<ul>
<li><em>A value for the headline field is required</em></li>
<li><em>A value for the image field is required</em></li>
<li><em>A value for the logo field is required</em></li>
<li><em>A value for the publisher field is required</em></li>
<li><em>Invalid value in field "priceSpecification"</em></li>
<li><em>The aggregateRating field is recommended</em></li>
<li><em>The brand field is recommended</em></li>
<li><em>The headline field is recommended</em></li>
<li><em>The image field is recommended</em></li>
<li><em>The review field is recommended</em></li>
<li><em>Missing field "address"</em></li>
<li><em>Missing field "aggregateRating"</em></li>
<li><em>Missing field "brand"</em></li>
<li><em>Missing field "businessDays"</em></li>
<li><em>Missing field "cutoffTime"</em></li>
<li><em>Missing field "deliveryTime"</em></li>
<li><em>Missing field "hasMerchantReturnPolicy"</em></li>
<li><em>Missing field "image"</em></li>
<li><em>Missing field "priceRange"</em></li>
<li><em>Missing field "review"</em></li>
<li><em>Missing field "shippingDetails"</em></li>
<li><em>Missing field "telephone"</em></li>
<li><em>No global identifier provided (e.g. gtin mpn isbn)</em></li>
<li><em>Not a known valid target type for the itemReviewed property</em></li>
<li><em>Price Mismatched value (page crawl): (price [price])</em></li>
</ul>

<p><strong>Reads settings and data from other active plugins, including:</strong></p>

<ul>
<li>All in One SEO Pack</li>
<li>Co-Authors Plus</li>
<li>Elementor Website Builder</li>
<li>Gravity Forms + GravityView</li>
<li>Perfect Images</li>
<li>Perfect WooCommerce Brands</li>
<li>Polylang</li>
<li>Product GTIN (EAN, UPC, ISBN) for WooCommerce</li>
<li>Rank Math SEO</li>
<li>Rate my Post</li>
<li>SEOPress</li>
<li>Simple Job Board</li>
<li>The Events Calendar</li>
<li>The SEO Framework</li>
<li>Ultimate Member</li>
<li>WooCommerce</li>
<li>WooCommerce Brands</li>
<li>WooCommerce Currency Switcher</li>
<li>WooCommerce UPC, EAN, and ISBN</li>
<li>WP Job Manager</li>
<li>WP Meta SEO</li>
<li>WP-PostRatings</li>
<li>WP Product Review</li>
<li>WP Recipe Maker</li>
<li>WPML</li>
<li>YITH WooCommerce Brands Add-on</li>
<li>Yoast SEO</li>
<li>Yotpo Social Reviews for WooCommerce</li>
</ul>

<h3>Users Love the WPSSO Core Plugin</h3>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; - "Unlike competitors, you can literally customize just about every aspect of SEO and Social SEO if you desire to. &#91;...&#93; This plugin has the most complete JSON-LD markup out of any of them, so you won’t have any errors and warnings in search console for WordPress or WooCommerce sites. You can go crazy customizing everything, or you can just set and forget. There aren’t many plugins that allow the best of both worlds." - <a href="https://wordpress.org/support/topic/most-responsive-developer-ive-ever-seen/">kw11</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; - "This plugin makes getting sites structured data ready extremely easy, and it works flawlessly without any issues. It shows messages on the top bar every step of the way to alert you of any issues until everything is set up correctly. It made all my ecommerce products pass Google's validation tests. Great work." - <a href="https://wordpress.org/support/topic/excellent-plugin-6825/">marguy1</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; - "This plugin saves me so much time, and it has really lifted my SERP rankings. Most of my keywords I now rank 1-3 position. I also noticed after about a week that my impressions have gone up at least 75%. I upgraded to the pro version which gave me even more options." - <a href="https://wordpress.org/support/topic/excellent-plugin-and-support-200/">playnstocks</a></p>

<h3>Premium Edition Features</h3>

<p><strong>Retrieves data from remote service APIs, including:</strong></p>

<ul>
<li>Get Bitly Short URL</li>
<li>Get DLMY.App Short URL</li>
<li>Get Facebook Video Data</li>
<li>Get Gravatar Image Data</li>
<li>Get Ow.ly Short URL</li>
<li>Get Shopper Approved Review Data</li>
<li>Get Slideshare Presentation Data</li>
<li>Get Soundcloud Track Data</li>
<li>Get Stamped.io Review Data</li>
<li>Get TinyURL Short URL</li>
<li>Get Vimeo Video Data</li>
<li>Get Wistia Video Data</li>
<li>Get WordPress Video Data</li>
<li>Get Your Own URL Shortener (YOURLS) Short URL</li>
<li>Get YouTube Video and Playlist Data</li>
</ul>

<p><strong>Additional customization options in the SSO &gt; Advanced Settings page and Document SSO metabox.</strong></p>

<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/install-the-plugin/">Install the WPSSO Core Plugin</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/uninstall-the-plugin/">Uninstall the WPSSO Core Plugin</a></li>
</ul>

<h3>Plugin Setup</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/setup-guide/">Setup Guide</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/developer-special-buy-one-get-one-free/">Developer Special: Buy one, Get one Free</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/better-schema-for-woocommerce/">Better Schema Markup for WooCommerce</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/troubleshooting-guide/">Troubleshooting Guide</a></li>
</ul>

<h2>Frequently Asked Questions</h2>

<h3 class="top">Frequently Asked Questions</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/does-linkedin-read-the-open-graph-meta-tags/">Does LinkedIn read Facebook / Open Graph meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-err_too_many_redirects-error/">How can I fix a ERR_TOO_MANY_REDIRECTS error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-generic-http-500-error/">How can I fix a generic HTTP 500 error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-php-fatal-out-of-memory-error/">How can I fix a PHP fatal "out of memory" error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-an-http-error-when-uploading-images/">How can I fix an HTTP error when uploading images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-have-smaller-dimensions-for-the-default-image/">How can I have smaller dimensions for the default image?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-see-what-the-facebook-crawler-sees/">How can I see what the Facebook crawler sees?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-create-a-schema-faqpage/">How do I create a Schema FAQPage?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-enable-wordpress-wp_debug/">How do I enable WordPress WP_DEBUG?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-fix-google-structured-data-hatom-errors/">How do I fix Google Structured Data &gt; hatom errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-remove-duplicate-meta-tags/">How do I remove duplicate meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-images/">How does WPSSO Core find and select images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-videos/">How does WPSSO Core find and select videos?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/w3c-says-there-is-no-attribute-property/">W3C says "there is no attribute 'property'"</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-are-some-html-elements-missing-misaligned-different/">Why are some HTML elements missing or misaligned?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-facebook-show-the-wrong-image-text/">Why does Facebook show the wrong image / text?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-google-structured-data-testing-tool-show-errors/">Why does the Schema Markup Validator show errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-shouldnt-i-upload-small-images-to-the-media-library/">Why shouldn't I upload small images to the media library?</a></li>
</ul>

<h3>Notes and Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/actions/">Actions</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/constants/">Constants</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/">Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/the-mod-variable/">The $mod Variable</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/inline-variables/">Inline Variables</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/multisite-network-support/">Multisite / Network Support</a></li>
</ul>

